/* SPDX-License-Identifier: LGPL-2.1-or-later */
/*
 * Copyright (C) 2020, Laurent Pinchart <laurent.pinchart@ideasonboard.com>
 *
 * ipa_pub_key.cpp - IPA module signing public key
 *
 * This file is auto-generated. Do not edit.
 */

#include "libcamera/internal/ipa_manager.h"

namespace libcamera {

#if HAVE_IPA_PUBKEY
const uint8_t IPAManager::publicKeyData_[] = {
	0x30, 0x82, 0x01, 0x22, 0x30, 0x0d, 0x06, 0x09,
	0x2a, 0x86, 0x48, 0x86, 0xf7, 0x0d, 0x01, 0x01,
	0x01, 0x05, 0x00, 0x03, 0x82, 0x01, 0x0f, 0x00,
	0x30, 0x82, 0x01, 0x0a, 0x02, 0x82, 0x01, 0x01,
	0x00, 0xbc, 0xc9, 0xf6, 0x19, 0x98, 0x7d, 0xa1,
	0x1f, 0xde, 0x70, 0xf0, 0x89, 0xe4, 0xfa, 0x4f,
	0xcf, 0x3e, 0x9b, 0xa5, 0xf4, 0xb7, 0x39, 0x38,
	0x39, 0x7d, 0x5b, 0x57, 0x53, 0x27, 0x0d, 0x00,
	0x64, 0x8d, 0x43, 0xee, 0x7d, 0xdf, 0xec, 0xe1,
	0x1a, 0x4a, 0xa8, 0x8a, 0xfe, 0x8b, 0xde, 0x7c,
	0xf7, 0x53, 0x9c, 0x60, 0xb8, 0x62, 0xcc, 0x42,
	0xf4, 0xf7, 0xca, 0x13, 0xa7, 0x50, 0x2b, 0x5e,
	0x9f, 0x86, 0xe9, 0x00, 0xaa, 0x92, 0x50, 0xb2,
	0xfd, 0x4d, 0xa9, 0xbf, 0x2c, 0xac, 0xaf, 0x40,
	0x2e, 0x13, 0xdb, 0x5d, 0xa9, 0x4a, 0xb4, 0x69,
	0xd3, 0xe7, 0xeb, 0x33, 0xb2, 0x00, 0xbe, 0x50,
	0xc4, 0x33, 0x3e, 0xda, 0xeb, 0x90, 0x14, 0xeb,
	0x42, 0x71, 0xed, 0xb0, 0x41, 0x7e, 0x1e, 0xb8,
	0x59, 0x9b, 0x18, 0x64, 0x6a, 0xfe, 0x9b, 0xfd,
	0xd6, 0x7d, 0x08, 0x52, 0x1c, 0xe6, 0xb8, 0x02,
	0x67, 0x23, 0x66, 0xe7, 0x59, 0xba, 0x91, 0xe1,
	0x32, 0x4b, 0x00, 0x55, 0x11, 0xeb, 0x8c, 0x44,
	0x25, 0x04, 0x85, 0xcd, 0xc5, 0xb1, 0x03, 0x8a,
	0x41, 0xb2, 0x3c, 0x2d, 0x97, 0xb2, 0xd4, 0x0e,
	0x97, 0xf2, 0x1d, 0xb3, 0x73, 0xaf, 0x88, 0xc7,
	0x1e, 0x55, 0x07, 0x7a, 0xe5, 0x7e, 0xfb, 0x49,
	0x70, 0x89, 0x99, 0x7d, 0x9e, 0x3e, 0xe3, 0xd2,
	0xaa, 0x13, 0x6a, 0xc3, 0x0b, 0x70, 0xf1, 0xdc,
	0xbd, 0x57, 0x4e, 0xcc, 0x34, 0x46, 0x6d, 0xeb,
	0x2e, 0xb1, 0x90, 0x79, 0xb4, 0xda, 0xca, 0x02,
	0x88, 0xe9, 0x49, 0xa8, 0xe3, 0x8b, 0x61, 0x80,
	0x05, 0xf2, 0x41, 0xc5, 0x70, 0xb9, 0x37, 0x46,
	0x6c, 0x97, 0xd0, 0xf4, 0xb8, 0x6d, 0x00, 0xb8,
	0xa6, 0xd4, 0x90, 0xec, 0x11, 0xa2, 0x10, 0xc5,
	0x7c, 0xf3, 0x10, 0x7d, 0x9d, 0xd0, 0x62, 0x48,
	0x6e, 0x90, 0x74, 0x85, 0xb2, 0xe3, 0x79, 0xc5,
	0x6d, 0x02, 0x03, 0x01, 0x00, 0x01
};

const PubKey IPAManager::pubKey_{ { IPAManager::publicKeyData_ } };
#endif

} /* namespace libcamera */
